/* Copyright 2016 Juan Pablo Lozano
*
* This file is part of GCleaner.
*
* GCleaner is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* GCleaner is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with GCleaner. If not, see http://www.gnu.org/licenses/.
*/

//Importing libraries GTK+, GLib and Granite
using Gtk;
using GLib;
using Granite;

public static int main (string[] args)
{
    Gtk.init (ref args);//Starts GTK+

	string css_file = "/usr/share/gcleaner/gtk-widgets-gcleaner.css";//Path where takes the CSS file
	var css_provider = new Gtk.CssProvider ();//Create a new CSS provider

	try
	{
		css_provider.load_from_path (css_file);//Loads the CSS of the previous path (string)
		Gtk.StyleContext.add_provider_for_screen (Gdk.Screen.get_default(), css_provider, Gtk.STYLE_PROVIDER_PRIORITY_USER);
	  } catch (Error e) {//Handling the Error
	  	stderr.printf ("COM.GCLEANER.APP: [ERROR CARGANDO ESTILOS CSS [%s]]\n", e.message);
	  	stderr.printf (">>> Comprobar ruta: /usr/share/gcleaner/gtk-widgets-gcleaner.css\n");
	}

    var gcleaner = new GCleaner.App ();

    return gcleaner.run (args);
}